package org.dromara.ygpassport.service;

import org.dromara.ygpassport.domain.PhysiqueTest;
import org.dromara.ygpassport.domain.vo.PhysiqueTestVo;
import org.dromara.ygpassport.domain.bo.PhysiqueTestBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 学生体质健康测试数据Service接口
 *
 * @author Lion Li
 * @date 2024-03-16
 */
public interface IPhysiqueTestService {

    /**
     * 查询学生体质健康测试数据
     */
    PhysiqueTestVo queryById(Long id);

    /**
     * 查询学生体质健康测试数据列表
     */
    TableDataInfo<PhysiqueTestVo> queryPageList(PhysiqueTestBo bo, PageQuery pageQuery);

    /**
     * 查询学生体质健康测试数据列表
     */
    List<PhysiqueTestVo> queryList(PhysiqueTestBo bo);

    /**
     * 根据学号查询学生体质健康测试数据列表
     */
    List<PhysiqueTestVo> queryListByStuNo(String stuNo);

    /**
     * 新增学生体质健康测试数据
     */
    Boolean insertByBo(PhysiqueTestBo bo);

    /**
     * 修改学生体质健康测试数据
     */
    Boolean updateByBo(PhysiqueTestBo bo);

    /**
     * 校验并批量删除学生体质健康测试数据信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
